# Particle Swarm Optimization (PSO) Hyperparameter Optimization

This project demonstrates the use of Particle Swarm Optimization (PSO) for hyperparameter optimization of machine learning models.

## Introduction

In this project, we use PSO to optimize the hyperparameters of various machine learning models, including K-Nearest Neighbors (KNN), Random Forest (RF), Decision Tree (DT), and Support Vector Classifier (SVC).

## Requirements

- Python 3.x
- Required Python packages: numpy, joblib, scikit-learn, tqdm

## Usage

1. Clone the repository:

```bash
git clone https://github.com/your_username/your_repository.git

2. Install the required Python packages:

pip install numpy joblib scikit-learn tqdm

3. Example usage is in main.py file.

Files
* `main.py`: The main script to run PSO hyperparameter optimization.
* `pso_optimizer.py`: Contains the PSOOptimizer class for PSO optimization.
* `hyperparameter_mappings.py`: Contains mappings for hyperparameters used in different machine learning models.
* `README.md`: This file.